%define version 1.5
%define rpmrelease 1
# betarelease is either 0 or a snapshot date like 20160906
%define betarelease 20170308

%{!?python2_sitearch: %define python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Summary: An XML parser library designed for Jabber applications
Name: iksemel
Version: %{version}
%if %{betarelease}
Release: 0.%{betarelease}.%{rpmrelease}%{?dist}
%else
Release: %{rpmrelease}%{?dist}
%endif
License: LGPLv2+
Group: System Environment/Libraries
URL: https://github.com/meduketto/iksemel
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
%if %{betarelease}
Source0: https://github.com/meduketto/%{name}/archive/%{name}-%{betarelease}.tar.gz
%else
Source0: https://github.com/meduketto/%{name}/archive/%{name}-%{version}.tar.gz
%endif
Patch0: iksemel-sha.patch
Patch1: 0003-Fix-alignment-on-architectures-where-doubles-are-64b.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel, libgcrypt-devel, python2-devel
BuildRequires: autoconf, automake, libtool, texinfo

%description
An XML parser library designed for Jabber applications. It is coded in
ANSI C for POSIX compatible environments, thus highly portable.

%package devel
Group: Development/Libraries
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: openssl-devel, pkgconfig
Requires(post,preun): /sbin/install-info

%description devel
Development files for %{name}.

%package utils
Group: Applications/Internet
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description utils
Utlity programs for %{name}.

%package -n python2-%{name}
Group: Development/Libraries
Summary: Python 2 interface to %{name}
Requires: %{name} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Python 2 interface to %{name}.

%prep
%if %{betarelease}
%setup -q -n %{name}-master
%else
%setup -q
%endif
%patch0 -p1 -b .sha
%patch1 -p1 -b .doubles

# force rebuilding of the info file
%{__rm} -f doc/%{name}

%build
libtoolize --copy --force --automake
autoreconf --force --install
%{configure} --disable-static --disable-rpath
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot}/%{_libdir}/ -type f -name '*.la' -exec %{__rm} -f {} \;
%{__mv} %{buildroot}%{_infodir}/%{name} %{buildroot}%{_infodir}/%{name}.info
%{__rm} -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README TODO
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_infodir}/%{name}.info*

%files utils
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/ikslint
%{_bindir}/iksperf
%{_bindir}/iksroster

%files -n python2-%{name}
%{python2_sitearch}/%{name}.so

%changelog
* Wed Mar 08 2017 Simon Matter <simon.matter@invoca.ch> 1.5-0.20170308.1
- upgrade to current 1.5 snapshot

* Mon Aug 01 2011 Simon Matter <simon.matter@invoca.ch> 1.4-1
- initial package
